> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenarch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Profile

> Get the authenticated Xenarch publisher profile — returns publisher details, payout wallet, registered sites, and x402 pay-per-crawl configuration.

<RequestExample>
  ```bash theme={null}
  curl https://xenarch.dev/v1/publishers/me \
    -H "Authorization: Bearer xk_pub_abc123..."
  ```
</RequestExample>

## Notes

* Returns publisher profile including email, payout wallet, and email verification status
* Requires publisher API key authentication


## OpenAPI

````yaml GET /v1/publishers/me
openapi: 3.1.0
info:
  title: Xenarch Platform
  version: 0.1.0
servers: []
security: []
paths:
  /v1/publishers/me:
    get:
      tags:
        - publishers
      summary: Get Profile
      operationId: get_profile_v1_publishers_me_get
      parameters:
        - name: authorization
          in: header
          required: true
          schema:
            type: string
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublisherProfileResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PublisherProfileResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        email:
          type: string
          title: Email
        payout_wallet:
          anyOf:
            - type: string
            - type: 'null'
          title: Payout Wallet
        payout_wallet_pending:
          anyOf:
            - type: string
            - type: 'null'
          title: Payout Wallet Pending
        payout_wallet_effective_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Payout Wallet Effective At
        payout_network:
          type: string
          title: Payout Network
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - email
        - payout_wallet
        - payout_wallet_pending
        - payout_wallet_effective_at
        - payout_network
        - created_at
      title: PublisherProfileResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````